/*BODY*/

body {
    background: #FFFFFFF5;
}

/*HEADER*/

header {
    align-items: center;
    background-color: #870044;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-bottom: 3rem;
    padding: 0.5rem 0;
}

/*HEADER NAV: LIST*/

nav {
 width: 100%;
}

ul.header-nav {
    align-items: center;
    display: flex;
    gap: 5rem;
    justify-content: space-evenly;
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
}

.header-nav li {
    font-family: "Fredericka the Great", serif;
    font-size: 40px;
    font-weight: 400;
    margin: 0;
    padding: 2.5rem 0;
}

/*HEADER NAV: LINKS*/

a.header-nav-link {
    color: #FFFFFFF5;
    filter: brightness(1.6);
    text-decoration: none;
    transition: transform 0.3s ease, background-color 0.2s ease, filter 0.3s ease; color: 0.3s;
}

a.header-nav-link:visited {
    color: #FFCCE5;
    cursor: pointer;
    text-decoration: none;
}

a.header-nav-link:hover {
    background-color: #FFFFFFF5;
    color: #870044; 
    cursor: pointer;
    filter: brightness(1.3);
    text-decoration: none;
    transform: scale(1.18);
}

a.header-nav-link:active {
    background-color: #FFFFFFF5;
    color: #F1729D;
    cursor: pointer;
    filter: brightness(1.3);
    text-decoration: none;
    transform: scale(1.18);
}

/*HEADINGS*/

h1 {
    color: #FFFFFFF5;
    font-family: "Fredericka the Great", serif;
    font-size: 110px;
    font-weight: 400;
    margin-bottom: 0.5rem;
    padding-bottom: 3.5rem;
}

h2 {
    color: #008743;
    font-family: "Montserrat", sans-serif;
    font-size: 70px;
    font-weight: 700;
    margin-bottom: 2.5rem;
    text-align: center;
}

h3 {
    color: #5D0022;
    font-family: "Great Vibes", cursive;
    font-size: 80px;
    font-weight: 400;
    margin: 3.5rem 0 1rem;
    text-align: center;
}   

h4, .hex-code {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
}

h4 {
    font-weight: 700;
}

.hex-code {
    font-weight: 600;
}

/*COLORS BLOCKS SECTION*/

.palette-colors {
    align-items: center;
    background-color: #FFFFF7;
    border: solid gray 1px;
    border-radius: 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 1.3rem;
    margin: 0 auto;
    max-width: 1000px;
    padding: 2rem 1rem;
}

.block-color {
    border-radius: 15px;
    height: auto;
    padding: 2em;
    text-align: center;
    width: 8rem;
}

.color-one {
    background-color: #870044;
    border: solid #808080 1px;
    color: #FFFFFFF5;
}

.color-two {
    background-color: #FFFFFFF5;
    border: solid #808080 1px;
    color: #808080;
}

.color-three {
    background-color: #BE0071;
    border: solid #808080 1px;
    color: #FFFFFFF5;
}

.color-four {
    background-color: #FFFFF7;
    border: solid #808080 1px;
    color: #808080;
}

.color-five {
    background-color: #FFCCE5;
    border: solid #808080 1px;
    color: #808080;
}

.color-six {
    background-color: #F1729D;
    border: solid #808080 1px;
    color: #FFFFFFF5;
}

.color-seven {
    background-color: #FF96FF;
    border-color: solid #808080 1px;
    color: #FFFFFFF5;
}

.color-eight {
    background-color: #008743;
    border: solid #808080 1px;
    color: #FFFFFFF5;
}

.color-nine {
    background-color: #5D0022;
    border: solid #808080 1px;
    color: #FFFFFFF5;
}

.color-ten {
    background-color: #808080;
    border: solid #808080 1px;
    color: #FFFFFFF5;
}

/*COLOR BUTTONS*/

.copy-btn {
    border-radius: 12px;
    cursor: pointer;
    padding: 0.6em;
    transition: background 0.5s ease;
}

.btn-color-one {
    background-color: #FFFFFFF5;
    color: #870044;
}

.btn-color-one:hover {
    background-color: #870044;
    color: #FFFFFFF5;
}

.btn-color-two {
    background-color: grey;
    color: #FFFFFFF5;
}

.btn-color-two:hover {
    background-color: #FFFFFFF5;
    color: grey;
} 

.btn-color-three {
    background-color: #FFFFFFF5;
    color: #BE0071;
}

.btn-color-three:hover {
    background-color: #BE0071;
    color: #FFFFFFF5;
}

.btn-color-four {
    background-color: grey;
    color: #FFFFF7;
}

.btn-color-four:hover {
    background-color: #FFFFF7;
    color: grey;
} 

.btn-color-five {
    background-color: grey;
    color: #FFCCE5;
}

.btn-color-five:hover {
    background-color: #FFCCE5;
    color: grey;
}

.btn-color-six {
    background-color: #FFFFFFF5;
    color: #F1729D;
}

.btn-color-six:hover {
    background-color: #F1729D;
    color: #FFFFFFF5;
} 

.btn-color-seven {
    background-color: #FFFFFFF5;
    color: #FF96FF;
}

.btn-color-seven:hover {
    background-color: #FF96FF;
    color: #FFFFFFF5;
}

.btn-color-eight {
    background-color: #FFFFFFF5;
    color: #008743;
}

.btn-color-eight:hover {
    background-color: #008743;
    color: #FFFFFFF5;
}

.btn-color-nine {
    background-color: #FFFFFFF5;
    color: #5D0022;
}

.btn-color-nine:hover {
    background-color: #5D0022;
    color: #FFFFFFF5;
}

.btn-color-ten {
    background-color: #FFFFFFF5;
    color: #808080;
}

.btn-color-ten:hover {
    background-color: #808080;
    color: #FFFFFFF5;
}

/*FONTS SECTION*/

.first-font-heading {
    align-items: center;
    background-color: #FFFFF7;
    border: solid gray 1px;
    display: flex;
    flex-direction: column;
    font-family: "Fredericka the Great", serif;
    font-size: 110px;
    font-weight: 400;  
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 auto;
    max-width: 1000px;
    padding: 0.5em 1rem;
    text-align: center;
} 

.example-first-heading {
    margin: 0 1rem 1.8rem;
    padding: 0.3rem 1rem;
    text-align: justify;
}

.first-font-header-links {
    align-items: center;
    background-color: #FFFFF7;
    border: solid gray 1px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    font-family: "Fredericka the Great", serif;
    font-size: 40px;
    font-weight: 400;  
    justify-content: center;
    margin: 0 auto;
    max-width: 1000px;
    padding: 0.15rem;
    text-align: center;
}

.second-font-second-heading, .second-font-fourth-heading, .second-font-paragraphs {
    align-items: center;
    background-color: #FFFFF7;
    border: solid gray 1px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    font-family: "Montserrat", sans-serif;
    gap: 0.5rem;
    justify-content: center;
    margin: 0 auto;
    max-width: 1000px;
    padding: 0.5rem;
    text-align: center;
}

.second-font-second-heading {
    font-size: 70px;
    font-weight: 700;
}

.example-second-heading {
    margin: 0 auto 1.2rem;
    padding: 1.7rem 2rem 0.4rem;
    text-align: justify;
}

.second-font-fourth-heading {
    font-size: 18px;
    font-weight: 700;
    margin: 0 auto;
    padding-top: 1.5rem;
}

.second-font-paragraphs {
    gap: 1rem;
}

.second-font-normal {
    font-size: 20px;
    font-weight: 400;
    margin: 0 auto;
    padding: 1rem 0;
    text-align: center;
}

.second-font-bold {
    font-size: 20px;
    font-weight: 700;
    margin: 0 auto;
    padding: 1rem 0;
    text-align: center;
}

.second-font-italic {
    font-size: 20px;
    font-style: italic;
    font-weight: 400;
    margin: 0 auto;
    padding: 1rem 0;
    text-align: center;
}

.third-font {
    align-items: center;
    background-color: #FFFFF7;
    border: solid #808080 1px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    font-family: "Great Vibes", cursive;
    font-size: 80px;
    font-weight: 400;
    gap: 0.25rem;
    justify-content: center;
    margin: 0 auto;
    max-width: 1100px;
    padding: 1rem;
    text-align: center;
}

/*TEXT STYLE SECTION*/

.cards-container {
    border-radius: 15px;
    display: grid;
    grid-template-columns: repeat(3, 450px);
    gap: 2rem;
    justify-content: center;
    padding: 2rem 1rem 3rem;
} 

.text-style-cards {
    background-color: #FFFFF7;
    border: #808080 solid 1px;
    border-radius: 15px;
    padding: 1.3em;
    max-width: 450px;
}

.heading-three-cards {
    font-size: 36px;
    margin: 0 auto;
    padding: 0.3em;
}

.text-style-cards ul {
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
    font-weight: 400;
    list-style: none;
    text-align: center;
}

.text-style-cards ul li {
    margin: 0;
    padding: 0.2em 0.1em  1em; 
}

/*COPY FONT BUTTONS*/

.copy-font-btn {
    background-color: #808080;
    border-radius: 10px;
    color: #FFFFF7;
    cursor: pointer;
}

.copy-font-btn:hover {
    background-color: #FFFFF7;
    color: #808080;
}

.copy-font-btn-one {
    font-size: 20px;
    margin-bottom: 0.2em;
    padding: 1rem;
}

.copy-font-btn-one:hover {
    background-color: #FFFFF7;
    color: #808080;
}

.copy-font-btn-two {
    font-size: 18px;
    padding: 1.1rem 1rem;
    margin-bottom: 0.5em;
}

.copy-font-btn-three, .copy-font-btn-four, .copy-font-btn-five, .copy-font-btn-six, .copy-font-btn-seven {
    font-size: 18px;
    padding: 1.1rem 1rem;
}

.copy-font-btn-three {
     margin-bottom: 0.5em;
}

.copy-font-btn-four {
    margin-bottom: 0.5em;
}

.copy-font-btn-five, .copy-font-btn.six {
    margin: 0 auto;  
}

.copy-font-btn-seven {
    margin: 0 auto 0.5em;
}

.example-third-heading {
    margin: 0 auto;
    padding: 0.19em 0.2em 0.35em;
    text-align: center;
}

.copy-font-btn-eight {
    font-size: 18px;
    padding: 1.1rem 1rem;
    margin: 0 auto 0.3em;
}

.cards-copy-font-btn {
    display: block;
    margin: 1rem auto 0;
    padding: 0.6rem 1.2rem;
}

/*FOOTER*/

footer {
    align-items: center;
    background-color: #BE0071;
    border-radius: 7px;
    color: #FFFFFFF5;
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-top: 2rem;
    padding: 2rem 0;
    width: 100%;
}

.copyright {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 500;
}

/*FOOTER LINKS*/

.copyright-link {
    color: #FFFFFFF5;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.2s ease;
}

.copyright-link:visited {
    color: #FFCCE5;
    cursor: pointer;
    text-decoration: none;
}

.copyright-link:hover {
    background-color: #FFFFFFF5;
    color: #BE0071;
    cursor: pointer;
    text-decoration: none;
}

.copyright-link:active {
    background-color: #FFFFFFF5;
    color: #F1729D;
    cursor: pointer;   
    text-decoration: none;
}

a.icon-link {
    cursor: pointer;
    display: inline-flex;
    transition: filter 0.5s ease;
}

a.icon-link:hover, a.icon-link:active {
    cursor: pointer;
    filter: brightness(1.6);
}

/*FOOTER SOCIAL MEDIA LIST*/

footer nav {
    width: 100%;
}

ul.social-links {
    align-items: center;
    display: flex;
    gap: 1.5rem;
    justify-content: space-evenly;
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
}

.social-links li {
    margin: 1em 0.3em;
    padding: 2.5em 0.3em;
}
